package capitulo05.bloque03.vehiculos;

import capitulo04.utils.Utils;

public class Principal {
    public static void main(String[] args) {
        Vehiculo[] vehiculos = new Vehiculo[10];


        for (int i = 0; i < vehiculos.length; i++) {
            if (Math.round(Math.random()) == 1) {
                vehiculos[i] = new Coche(Utils.generarIntAleatorioEntreLimites(0,1000), "Coche-" + i);
            } else {
                vehiculos[i] = new Coche(Utils.generarIntAleatorioEntreLimites(0,100), "Bici-" + i);
            }
        }

        System.out.println("Vehículos con velocidad base");
        for (Vehiculo vehiculo : vehiculos) {
            System.out.println(vehiculo);
        }


        System.out.println("Vehículos acelerando");
        for (Vehiculo vehiculo : vehiculos) {
            vehiculo.acelerar();
            System.out.println(vehiculo);
        }


        System.out.println("Vehículos frenando");
        for (Vehiculo vehiculo : vehiculos) {
            vehiculo.frenar();
            System.out.println(vehiculo);
        }
    }
}
